<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

use dosamigos\leaflet\types\LatLng;
use dosamigos\leaflet\layers\Marker;
use dosamigos\leaflet\layers\TileLayer;
use dosamigos\leaflet\LeafLet;
use dosamigos\leaflet\widgets\Map;

/* @var $this yii\web\View */
$this->title = 'Système de réservation de pain';
?>

<?php

?>
			
<div class="item" id="presentation">
    <div class="container">
	<div class="row" id="row-presentation">
            <div class="col-md-12">
                <h1>Service de réservation de pain</h1>
                <p>Réservez votre pain en ligne et récupérez votre commande<br />
                dans votre boulangerie ou dans un dépôt près de chez vous.</p>
		<!--<img src="./img/four.jpg" alt="Baguettes" id="main-img" />-->
                <div class="clr"></div>
            </div>
	</div>
        
        <div class="row" id="row-clients-boulanger">
            <div class="col-md-6" id="clients">
                <h2><img src="./img/clients.png" id="img-clients" /><br />
                    Clients
                    </h2>
                <ul>
                    <li>Garantie d'avoir du pain</li>
                    <li>Possibilité de choisir un dépôt proche de chez soi</li>
                    <li><strong>Gratuit</strong></li>
                </ul>
            </div>
            <div class="col-md-6">
                <h2><img src="./img/boulanger1.png" id="img-boulanger" /><br />
                    Boulanger
                   </h2>
                <ul>
                    <li>Service supplémentaire pour les clients</li>
                    <li>Optimisation de la production</li>
                    <li><strong>20 € / mois</strong></li>
                </ul>
            </div>
        </div>
        <?php if(Yii::$app->user->isGuest): ?>
        <div class="row" id="row-signup">
            <a class="btn btn-primary btn-lg" href="<?= Yii::$app->urlManager->createUrl('site/signup'); ?>">Inscription</a>
        </div>
        <?php endif; ?>
        
        <!--<div class="row">
            <h1>Boulangeries partenaires</h1>
            
            <?php 
                echo Map::widget(['leafLet' => $map,'height' => 400]); 
            ?>
            
        </div>-->
    </div>
</div>

<div class="item back1" id="contact">
	<div class="container">
	
		<div class="separateur"></div>
		<h2><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl() ; ?>/img/icon_53324.png" alt="" /> Contact</h2>		
		
		<?php if(Yii::$app->session->getFlash('success')): ?>
			<div class="alert alert-success"><div class="icon"></div><?= Yii::$app->session->getFlash('success'); ?></div>
		<?php endif; ?>
		
		<?php $form = ActiveForm::begin(['id' => 'contact-form', 'action'=> '#par-telephone', 'layout' => 'horizontal',]); ?>
                <?= $form->field($model, 'name') ?>
                <?= $form->field($model, 'email') ?>
                <?= $form->field($model, 'subject') ?>
                <?= $form->field($model, 'body')->textArea(['rows' => 6]) ?>
                <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                    'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                ]) ?>
                <div class="form-group">
                    <?= Html::submitButton('Envoyer', ['class' => 'btn btn-default', 'name' => 'contact-button']) ?>
                </div>
            <?php ActiveForm::end(); ?>
		
	</div>
</div>